Retrieve a specific entperise key
Deprecated. Superseded by the
/v3/enterpriseendpoints under the Enterprise tag.
Retrieves a specific enterprise key by its id.
curl --request GET \
--url https://api.mezmo.com/v1/enterprise/keys/{id} \
--header 'enterprise-servicekey: <api-key>'import requests
url = "https://api.mezmo.com/v1/enterprise/keys/{id}"
headers = {"enterprise-servicekey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'enterprise-servicekey': '<api-key>'}};
fetch('https://api.mezmo.com/v1/enterprise/keys/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "629e3f7e62295be60488fb26",
"key": "7b273eb8adc962f2711ad760730debb0",
"name": "servergroup_0_ingestion",
"type": "ingestion",
"created": 1654538253244
}{
"error": "\"value\" must be of type object",
"code": "BadRequest",
"status": "error"
}Authorizations
When authorizing against our enterprise endpoints, they expect an enterprise service key instead of a regular organization service key. Some endpoints might expect both an enterprise service key and a regular organization service key.
Path Parameters
The ID of the key
"629e3f7e62295be60488fb26"
Response
The key with the supplied id was found, the entire resource is returned.
The ID of the key
"629e3f7e62295be60488fb26"
A secret key which can be used to authenticate requests to Mezmo.
"7b273eb8adc962f2711ad760730debb0"
A user friendly name for the key
30"servergroup_0_ingestion"
The type of the key
ingestion, service "ingestion"
The time the key was created as a Unix timestamp in milliseconds
1654538253244
Was this page helpful?

